#include<iostream>
using namespace std;

int n, l;

int pronadji() {

    for(int i = 0; i < n; i++) {
        int a;
        cin >> a;

        if(l >= a)
            return i + 1;
    }

    return -1;
}

int main() {


    cin >> n >> l;

    cout << pronadji();

    return 0;
}